低危 redhat ansible 通过日志文件的信息暴露

CVE编号

CVE-2021-3447

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-04-02
漏洞描述
A flaw was found in several ansible modules, where parameters containing credentials, such as secrets, were being logged in plain-text on managed nodes, as well as being made visible on the controller node when run in verbose mode. These parameters were not protected by the no_log feature. An attacker can take advantage of this information to steal those credentials, provided when they have access to the log files containing them. The highest threat from this vulnerability is to data confidentiality. This flaw affects Red Hat Ansible Automation Platform in versions before 1.2.2 and Ansible Tower in versions before 3.8.2.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ansible * Up to
(excluding)
1.2.2
运行在以下环境
应用 redhat ansible_tower * Up to
(excluding)
3.8.2
运行在以下环境
系统 centos_8 ansible-test * Up to
(excluding)
1.5.3-1.el8ev
运行在以下环境
系统 fedora_32 ansible * Up to
(excluding)
2.9.20-1.fc32
运行在以下环境
系统 fedora_32 ansible-doc * Up to
(excluding)
2.9.20-1.fc32
运行在以下环境
系统 fedora_32 ansible-test * Up to
(excluding)
2.9.20-1.fc32
运行在以下环境
系统 fedora_33 ansible * Up to
(excluding)
2.9.20-1.fc33
运行在以下环境
系统 fedora_33 ansible-doc * Up to
(excluding)
2.9.20-1.fc33
运行在以下环境
系统 fedora_33 ansible-test * Up to
(excluding)
2.9.20-1.fc33
运行在以下环境
系统 fedora_34 ansible * Up to
(excluding)
2.9.20-1.fc34
运行在以下环境
系统 fedora_34 ansible-doc * Up to
(excluding)
2.9.20-1.fc34
运行在以下环境
系统 fedora_34 ansible-test * Up to
(excluding)
2.9.20-1.fc34
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.21-1.el7
运行在以下环境
系统 fedora_EPEL_7 ansible-doc * Up to
(excluding)
2.9.21-1.el7
运行在以下环境
系统 fedora_EPEL_7 ansible-test * Up to
(excluding)
2.9.21-1.el7
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.20-1.el8
运行在以下环境
系统 fedora_EPEL_8 ansible-doc * Up to
(excluding)
2.9.20-1.el8
运行在以下环境
系统 fedora_EPEL_8 ansible-test * Up to
(excluding)
2.9.20-1.el8
运行在以下环境
系统 redhat_8 ansible-test * Up to
(excluding)
4.4.13-1.el8ev
阿里云评分
3.3
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-532 通过日志文件的信息暴露
阿里云安全产品覆盖情况